Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.transform
Class TransformException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.transform.TransformException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidFormatException

    public class TransformException

extends PersistenceException

The `TransformException` is thrown if a problem occurs during the transformation of an object. This can be thrown either because a transform could not be found for a specific type or because the format of the text value had an invalid structure.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`TransformException(java.lang.String text, java.lang.Object... list)` Constructor for the `TransformException` object.
`TransformException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `TransformException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformException

    public TransformException(java.lang.String text,
                              java.lang.Object... list)

  Constructor for the `TransformException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### TransformException

    public TransformException(java.lang.Throwable cause,
                              java.lang.String text,
                              java.lang.Object... list)

  Constructor for the `TransformException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the stri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD